org.apache.hadoop.mapreduce.v2.app.webapp

## Class AppController

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.Controller
  - - org.apache.hadoop.mapreduce.v2.app.webapp.AppController

- All Implemented Interfaces:
    AMParams, org.apache.hadoop.yarn.webapp.Params

      public class AppController
      extends org.apache.hadoop.yarn.webapp.Controller
      implements AMParams

  This class renders the various pages that the web app supports.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.Controller

      `org.apache.hadoop.yarn.webapp.Controller.RequestContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected App` | `app`

    - ### Fields inherited from interface org.apache.hadoop.mapreduce.v2.app.webapp.AMParams

      `APP_ID, ATTEMPT_STATE, COUNTER_GROUP, COUNTER_NAME, JOB_ID, RM_WEB, TASK_ID, TASK_STATE, TASK_TYPE`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AppController(App app, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.yarn.webapp.Controller.RequestContext ctx)`
    `protected` | `AppController(App app, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.yarn.webapp.Controller.RequestContext ctx, String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attempts()` Render the attempts page
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `attemptsPage()`
    `void` | `conf()` Render the /conf page
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `confPage()`
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `countersPage()`
    `void` | `downloadConf()` Handle requests to download the job configuration.
    `void` | `index()` Render the default(index.html) page for the Application Controller
    `void` | `info()` Render the /info page with an overview of current application.
    `void` | `job()` Render the /job page
    `void` | `jobCounters()` Render the /jobcounters page
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `jobPage()`
    `void` | `requireJob()` Ensure that a JOB_ID was passed into the page.
    `void` | `requireTask()` Ensure that a TASK_ID was passed into the page.
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `singleCounterPage()`
    `void` | `singleJobCounter()` Render the /singlejobcounter page
    `void` | `singleTaskCounter()` Render the /singletaskcounter page
    `void` | `task()` Render the /task page
    `void` | `taskCounters()` Display a page showing a task's counters
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `taskPage()`
    `void` | `tasks()` Render the /tasks page
    `protected Class<? extends org.apache.hadoop.yarn.webapp.View>` | `tasksPage()`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.Controller

      `$, context, cookies, echo, error, get, getInstance, inDevMode, info, injector, render, renderJSON, renderJSON, renderText, request, response, set, setStatus, setTitle, setTitle, status, url, writer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### app

          protected final App app

  - ### Constructor Detail

    - #### AppController

          protected AppController(App app,
                                  org.apache.hadoop.conf.Configuration conf,
                                  org.apache.hadoop.yarn.webapp.Controller.RequestContext ctx,
                                  String title)

    - #### AppController

          @Inject
          protected AppController(App app,
                                          org.apache.hadoop.conf.Configuration conf,
                                          org.apache.hadoop.yarn.webapp.Controller.RequestContext ctx)

  - ### Method Detail

    - #### index

          public void index()

      Render the default(index.html) page for the Application Controller
      Specified by:
        `index` in class `org.apache.hadoop.yarn.webapp.Controller`

    - #### info

          public void info()

      Render the /info page with an overview of current application.

    - #### jobPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> jobPage()

      Returns:
        The class that will render the /job page

    - #### job

          public void job()

      Render the /job page

    - #### countersPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> countersPage()

      Returns:
        the class that will render the /jobcounters page

    - #### jobCounters

          public void jobCounters()

      Render the /jobcounters page

    - #### taskCounters

          public void taskCounters()

      Display a page showing a task's counters

    - #### singleCounterPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> singleCounterPage()

      Returns:
        the class that will render the /singlejobcounter page

    - #### singleJobCounter

          public void singleJobCounter()
                                throws IOException

      Render the /singlejobcounter page
      Throws:
        `IOException` - on any error.

    - #### singleTaskCounter

          public void singleTaskCounter()
                                 throws IOException

      Render the /singletaskcounter page
      Throws:
        `IOException` - on any error.

    - #### tasksPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> tasksPage()

      Returns:
        the class that will render the /tasks page

    - #### tasks

          public void tasks()

      Render the /tasks page

    - #### taskPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> taskPage()

      Returns:
        the class that will render the /task page

    - #### task

          public void task()

      Render the /task page

    - #### attemptsPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> attemptsPage()

      Returns:
        the class that will render the /attempts page

    - #### attempts

          public void attempts()

      Render the attempts page

    - #### confPage

          protected Class<? extends org.apache.hadoop.yarn.webapp.View> confPage()

      Returns:
        the page that will be used to render the /conf page

    - #### conf

          public void conf()

      Render the /conf page

    - #### downloadConf

          public void downloadConf()

      Handle requests to download the job configuration.

    - #### requireJob

          public void requireJob()

      Ensure that a JOB_ID was passed into the page.

    - #### requireTask

          public void requireTask()

      Ensure that a TASK_ID was passed into the page.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.